(* syntaxe abstraite du langage sans imbrication de fonctions *)

type def = 
    Mfundef of string * env * string * expr
  | Mdef of string * expr

and expr =
   Mint of int
 | Mbool of bool
 | Mlocal of string
 | Mglobal of string
 | Mop of Syntaxe_abstraite.op * expr * expr
 | Mcall of expr * expr
 | Mifthenelse of expr * expr * expr
 | Mlet of string * expr * expr
 | Mclos of string * env
 (* on ajoute les fonctions d'acces pour recuperer *)
 (* le code et l'environnement d'une fermeture *)
 | Mget_code of expr
 | Mget_env of expr

and env = string list

