type token =
  | EOF
  | IDENT of (string)
  | INT of (int)
  | BOOL of (bool)
  | INFIX0 of (string)
  | INFIX1 of (string)
  | INFIX2 of (string)
  | DEF
  | LPAREN
  | RPAREN
  | EQ
  | MINUS
  | MINUSGREATER
  | COMMA
  | IF
  | THEN
  | ELSE
  | FUN
  | REC
  | LET
  | PTPT
  | IN

val declaration_list :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Syntaxe_abstraite.def list
