(* syntaxe abstraite du langage ou les fonctions sont closes *)

type def = Cdef of string * expr

and expr =
   Cint of int
 | Cbool of bool
 | Clocal of string
 | Cglobal of string
 | Cop of Syntaxe_abstraite.op * expr * expr
 | Capp of expr * expr
 | Cifthenelse of expr * expr * expr
 | Cfun of env * string * expr
 | Clet of string * expr * expr
 | Cclos of expr * env

and env = string list

